﻿using igGridComboBoxDefaultValue.Models;
using Infragistics.Web.Mvc;
using Microsoft.AspNetCore.Mvc;
using System.Diagnostics;
using System.Diagnostics.Metrics;

namespace igGridComboBoxDefaultValue.Controllers
{
    public class HomeController : Controller
    {
        //index view pass data as IEnumerable
        [GridDataSourceAction]
        public ActionResult Index()
        {
            var viewModel = new CustomersViewModel
            {
                //IEnumerable of Customer Objects
                Customers = GetCustomers(),
                Countries = GetCountries()
            };
            return View(viewModel);
        }

        //get the customers
        private IEnumerable<Customer> GetCustomers()
        {
            return new List<Customer>
            {
                new Customer { ID=1, Name="John Smith", Country="Bulgaria" },
                new Customer { ID=2, Name="Bob Richards", Country="France" },
                new Customer { ID=3, Name="Marge Wright", Country="Germany" },
                new Customer { ID=4, Name="Dwight Long", Country="Spain" },
                new Customer { ID=5, Name="Amy Grant", Country="Bulgaria" },
                new Customer { ID=6, Name="Jon Terry", Country="UK" },
            };
        }

        //get the counties AsQueryable
        public IQueryable<Country> GetCountries()
        {
            IQueryable<Country> data;
            IEnumerable<Country> temp = new List<Country>
            {
                new Country { Key="1", Value="Bulgaria"},
                new Country { Key="2", Value="USA"},
                new Country { Key="3", Value="Germany"},
                new Country { Key="4", Value="Spain"},
                new Country { Key="5", Value="UK"},
                new Country { Key="6", Value="France"},
            };
            data = temp.AsQueryable();

            return data;
        }
    }
}